Subject: [scim] Ticket 71 - Language tags - proposed text

From: Phil Hunt <[email-masked]>
Date: Thu, 24 Apr 2014 10:18:16 -0700

Ticket 71 is about updates to the spec to conform with IETF best practices regarding language tags.

The good news here is I believe these should have no breaking changes and essentially changes some of the references (e.g. from Olson timezone database to IANA Timezone Database format).

preferredLanguage has been extended to allow for a user to indicate multiple language preferences using the Accept-Language HTTP header format. For those of use using LDAP, it is also compatible with LDAP’s definition. I am led to believe that while some may be already using the single preferred language definition from previous drafts, that this change should be compatible.

Proposed text:
>    preferredLanguage  Indicates the user's preferred written or spoken
>       languages and is generally used for selecting a localized User
>       interface.  The value indicates the set of natural languages that
>       are preferred.  The format of the value is same as the Accept-
>       Language header field (not including "Accept-Language:") of HTTP
>       and is specified in Section 5.3.5 of
>       [I-D.ietf-httpbis-p2-semantics].  The intent of this value is to
>       enable cloud applications to perform matching of language tags
>       [RFC4647] to the user's language preferences regardless of what
>       may be indicated by a user agent (which might be shared), or in an
>       interaction not involving a browser or direct interaction with the
>       User (such as in a delegated OAuth2 [RFC6749] style interaction)
>       and normal Accept-Language header negotiation cannot take place.
> 
>    locale  Used to indicate the User's default location for purposes of
>       localizing items such as currency, date time format, numerical
>       representations, etc.  A valid value is a language tag as defined
>       in [RFC5646].  Computer languages are explicitly excluded.
> 
>       A language tag is a sequence of one or more case-insensitive
>       subtags, each separated by a hyphen character ("-", %x2D).  For
>       backwards compatibility reasons, servers MAY accept tags separated
>       by an underscore character ("_", %5F).  In most cases, a language
>       tag consists of a primary language subtag that identifies a broad
>       family of related languages (e.g., "en" = English) which is
>       optionally followed by a series of subtags that refine or narrow
>       that language's range (e.g., "en-CA" = the variety of English as
>       communicated in Canada).  Whitespace is not allowed within a
>       language tag.  Example tags include:
> 
>            fr, en-US, es-419, az-Arab, x-pig-latin, man-Nkoo-GN
> 
>       See [RFC5646] for further information.
> 
>    timezone  The User's time zone in IANA Time Zone database format
>       [RFC6557], also known as "Olson" timezone database
>       format[Olson-TZ]; For example: "America/Los_Angeles".

Please let me know if there are any objections to the above text.

Phil

@independentid
www.independentid.com
[email-masked]

---

From: Leif Johansson <[email-masked]>
Date: Thu, 24 Apr 2014 20:31:59 +0200

> preferredLanguage has been extended to allow for a user to indicate multiple language preferences using the Accept-Language HTTP header format. For those of use using LDAP, it is also compatible wi…

Speaking as an old LDAP hand I say "+1"

> _______________________________________________
> scim mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/scim
>